Drone-cli issues after v1.5.0 (golang warnings)

After upgrading drone-cli on Mac via brew from v1.5.0 , I’ve noticed strange error messages. After some investigation found out it’s not mac specific and applies to linux version as well - it’s now, after v1.6.0 is always giving golang ‘proto’ error.

$ curl -sL https://github.com/harness/drone-cli/releases/latest/download/drone_linux_amd64.tar.gz | tar zx && ./drone -v
2022/10/25 13:24:12 proto: duplicate proto type registered: PluginSpec
2022/10/25 13:24:12 proto: duplicate proto type registered: PluginPrivilege
drone version 1.6.1

Is it something I should deal with locally, or is a bug (I am not a golang expert)?

I have been able to recreate and think I may know why it is happening - I will look into it further.

@vldb are you able to make use of the cli? is the issue just these messages showing?

The cli itself is still working as expected and as before for my tasks (can’t tell for the whole functionality), just these warnings interfere with automation and result parsing

yep fair enough - I’ll look into it